<div *ngIf="accordion; then withAccordion else withoutAccordion">here is ignored</div>
<ng-template #withAccordion>
  <mat-accordion *ngIf="eventHistoryList != null">
    <mat-expansion-panel [expanded]="expanded">
      <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
        <mat-panel-title><h6>Event History</h6></mat-panel-title>
      </mat-expansion-panel-header>
      <dx-data-grid #grid id="grid" [dataSource]="eventHistoryList" [wordWrapEnabled]="true"
                    [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                    (onToolbarPreparing)="onToolbarPreparing($event)"
                    (onExporting)="onExporting($event)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-paging [pageSize]="10"></dxo-paging>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
        <dxi-column dataField="eventId" caption="Event ID" dataType="string"></dxi-column>
        <dxi-column dataField="actnDes" caption="Action" dataType="string"></dxi-column>
        <dxi-column dataField="performedBy" caption="Performed By" dataType="string"></dxi-column>
        <dxi-column dataField="creatDt" caption="Date and Time" dataType="datetime"></dxi-column>
        <dxi-column dataField="cmntTxt" caption="Comments" dataType="string" cellTemplate="commentTemplate"></dxi-column>
        <dxi-column dataField="eventStrtTmst" caption="Start Date" dataType="datetime"></dxi-column>
        <dxi-column dataField="eventEndTmst" caption="End Date" dataType="datetime"></dxi-column>
        <div *dxTemplate="let cell of 'commentTemplate'">
          <div [innerHtml]="cell.value"></div>
        </div>
        <div *dxTemplate="let data of 'exportTemplate'">
          <button type="button" class="btn btn-sm btn-primary"
                  (click)="grid.instance.exportToExcel(false)">
            Export to Excel
          </button>
        </div>
      </dx-data-grid>
    </mat-expansion-panel>
  </mat-accordion>
</ng-template>
<ng-template #withoutAccordion>
  <dx-data-grid #grid id="grid" [dataSource]="eventHistoryList" [wordWrapEnabled]="true"
                [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true">
    <!--<dxo-export [enabled]="true" fileName="Events"></dxo-export>-->
    <!--<dxo-selection mode="single"></dxo-selection>-->
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
    <!--<dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>-->
    <!--<dxo-column-fixing [enabled]="true"></dxo-column-fixing>-->

    <dxi-column dataField="eventId" caption="Event ID" dataType="string"></dxi-column>
    <dxi-column dataField="actnDes" caption="Action" dataType="string"></dxi-column>
    <dxi-column dataField="performedBy" caption="Performed By" dataType="string"></dxi-column>
    <dxi-column dataField="creatDt" caption="Date and Time" dataType="datetime"></dxi-column>
    <dxi-column dataField="cmntTxt" caption="Comments" dataType="string"></dxi-column>
    <dxi-column dataField="eventStrtTmst" caption="Start Date" dataType="datetime"></dxi-column>
    <dxi-column dataField="eventEndTmst" caption="End Date" dataType="datetime"></dxi-column>
  </dx-data-grid>
</ng-template>

